### Hierarchy

- TypeAhead

## Index

### Constructors

- constructor

### Properties

- data
- dataJson
- el
- options
- search
- selection

### Methods

- autocomplete
- componentDidLoad
- init
- postRender
- render
- searchHandler
- selectionHandler

## Constructors

### constructor

- new TypeAhead(): TypeAhead

- - Defined in type-ahead/type-ahead.tsx:22

  #### Returns TypeAhead

## Properties

### data

data: any

- Defined in type-ahead/type-ahead.tsx:12

### dataJson

dataJson: string

- Defined in type-ahead/type-ahead.tsx:10

### el

el: HTMLElement

- Defined in type-ahead/type-ahead.tsx:8

### options

options: any

- Defined in type-ahead/type-ahead.tsx:11

### search

search: EventEmitter

- Defined in type-ahead/type-ahead.tsx:19

### selection

selection: EventEmitter

- Defined in type-ahead/type-ahead.tsx:14

## Methods

### autocomplete

- autocomplete(options: any): void

- - Defined in type-ahead/type-ahead.tsx:57

  #### Parameters

  - ##### options: any

  #### Returns void

### componentDidLoad

- componentDidLoad(): void

- - Defined in type-ahead/type-ahead.tsx:26

  #### Returns void

### init

- init(): void

- - Defined in type-ahead/type-ahead.tsx:43

  #### Returns void

### postRender

- postRender(): void

- - Defined in type-ahead/type-ahead.tsx:37

  #### Returns void

### render

- render(): any

- - Defined in type-ahead/type-ahead.tsx:178

  #### Returns any

### searchHandler

- searchHandler(data: any): void

- - Defined in type-ahead/type-ahead.tsx:20

  #### Parameters

  - ##### data: any

  #### Returns void

### selectionHandler

- selectionHandler(data: any): void

- - Defined in type-ahead/type-ahead.tsx:15

  #### Parameters

  - ##### data: any

  #### Returns void